<!DOCTYPE html>
<html lang="en">
<head>
    <% include ../commonHeadElements.html %>
</head>
<body>
<div>
    <% include ../menu.html %>
    <div id="dashboardViewStack">
        <div id="loading" class="component-loading hide"></div>
        <div class="content-container">

            <div class="container padding-bottom-20">
                <div class="row margin-top-20">
                    <div class="col-md-8">
                        <div class="headline headline-md">
                            <h2 class="pull-left">Review Paper</h2>
                            <div class="pull-right topBarButtons">
                                <a class="btn-u" id="markComplete">
                                    <i class="icon-ok"></i><span>Mark as complete</span>
                                </a>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="editPaperContainer">

                        </div>
                    </div>
                    <div class="col-md-4">
                        <% include ../usermessages.html %>
                    </div>
                </div>
            </div>


        </div>
    </div>
    <% include ../commonFooterScriptElements.html %>
</div>
<script>
    new PaperEditor({
        paperId: '<%= paperId %>',
        paperDataContainer: $(".editPaperContainer"),
        edit: false,
        saveBtn: $("#saveChanges"),
        messagesContainer: $(".messageContainer"),
        writeMessageContainer: $(".message-editor"),
        sendMessageBtn: $("#sendMessage")
    });

    $("#markComplete").click(function() {
        var res = confirm("You wont be able to edit the paper once it is marked as complete. Are you sure you want to continue?")
        if(res) {
            var $loadingContainer = $("#loading");
            $loadingContainer.removeClass("hide");
            $.ajax({
                url: "/api/paper/markComplete",
                method: 'POST',
                data: {
                    paperId: '<%= paperId %>'
                },
                success: function() {
                    $loadingContainer.addClass("hide");
                    GlobalUtils.showAlert("Paper marked complete successfully. Redirecting to the billing page", "success");
                    window.location.href = "/app/user/billing";
                },
                error: function() {
                    $loadingContainer.addClass("hide");
                    GlobalUtils.showAlert("Something went wrong.", "danger");
                }
            })
        }
    })
</script>
</body>
</html>
